;**************************************************************
;***    EMS48.ASM                                           ***
;***                                                        ***
;***    function        EMS_EmBlk.restorePageMap            ***
;***                        : Boolean;                      ***
;***                                                        ***
;***    Restores the page map state for the                 ***
;***    specified handle.                                   ***
;***                                                        ***
;***                                                        ***
;***    (Ems Version 3.0)                                   ***
;**************************************************************

        .model  large,pascal   

        include emsdefs.asm 

        extrn   errno:WORD  

;
;   Define entry point
;
        public  EMS_EmBlk@restorePageMap

        .code

EMS_EmBlk@restorePageMap    proc    handle:Far Ptr Word

;
;   DX takes the handle
;
        les     bx,handle
        mov     dx,es:[bx]

        mov     ah,RestorePageMap       ; Move function code
        int     Ems                     ; Do the ems call

        or      ah,ah                   ; Set flags
        jnz     error

        xor     ax,ax                   ; AX gets 0
        ret                             ; Return to caller

error:
        mov     al,ah                   ; Transfer return code to al
        xor     ah,ah                   ; Zero high byte
        mov     errno,ax                ; Save in errno too
        ret                             ; Return to caller

EMS_EmBlk@restorePageMap    endp        ; End of procedure

        end                             ; End of source file

